This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 627294

Summary: KVM Windows XP VMs fail to restart properly
Product: [Fedora] Fedora Reporter: John L Magee <jlmagee>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-10 13:49:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description John L Magee 2010-08-25 11:19:17 EDT
Description of problem: 
After host restart, guest Windows XP VMs either do not restart completely or do not connect to the default virtual network properly. This started happening on Fedora 12 when libvirt was upgraded from 7.6 to 8.2. Fedora 13 has the same symptoms.


Version-Release number of selected component (if applicable): 
libvirt 0.8.2-1.fc13

How reproducible: 
This fails every time the guest has not been completely shut down before the host is shut down and restarted.


Steps to Reproduce:
1. Leave VM running
2. Restart Host
3. Try to connect to host with rdesktop or logon using built-in VNC console and try to use network
  
Actual results: 
Sometimes the VM does not completely start it seems. More often, the VM starts but does not have network connectivity

Expected results: 
VM should start up and have full network connectivity.

Additional info:
Works as expected if the VM has been completely shut down.

This is a Lenovo Thinkpad with VT hardware.
[root@mnetjlm8 ~]# grep vmx /proc/cpuinfo 
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm ida tpr_shadow vnmi flexpriority
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm ida tpr_shadow vnmi flexpriority


The guest config is:
[root@mnetjlm8 ~]# cat /etc/libvirt/qemu/jlmxp1.xml 
<domain type='kvm'>
  <name>jlmxp1</name>
  <uuid>e3f5edb2-75eb-2c13-b5e6-a2cd35b77bf5</uuid>
  <memory>786432</memory>
  <currentMemory>786432</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64' machine='pc-0.11'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <pae/>
  </features>
  <clock offset='localtime'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/home/virtimages/jlmxp1.img'/>
      <target dev='hda' bus='ide'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
    <disk type='block' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <shareable/>
      <address type='drive' controller='0' bus='1' unit='0'/>
    </disk>
    <controller type='ide' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <interface type='network'>
      <mac address='00:16:3e:08:aa:67'/>
      <source network='default'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </interface>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes' listen='0.0.0.0'/>
    <sound model='es1370'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </sound>
    <video>
      <model type='cirrus' vram='9216' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
  </devices>
</domain>

The network is the default virbr0.

Snippets of var/log/libvirt/qemu/jlmxp1/log:

0+0 records in
0+0 records out
0 bytes (0 B) copied, 1.1454e-05 s, 0.0 kB/s
0+5452 records in
0+5452 records out
217722079 bytes (218 MB) copied, 15.7844 s, 13.8 MB/s
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 768 -smp 1,sockets=1,cores=1,threads=1 -name jlmxp1 -uuid e3f5edb2-75eb-2c13-b5e6-a2cd35b77bf5 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/jlmxp1.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -no-acpi -boot c -drive file=/home/virtimages/jlmxp1.img,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=00:16:3e:08:aa:67,bus=pci.0,addr=0x4 -net tap,fd=49,vlan=0,name=hostnet0 -usb -vnc 0.0.0.0:0 -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x5 -incoming exec:cat -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 768 -smp 1,sockets=1,cores=1,threads=1 -name jlmxp1 -uuid e3f5edb2-75eb-2c13-b5e6-a2cd35b77bf5 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/jlmxp1.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -no-acpi -boot c -drive file=/home/virtimages/jlmxp1.img,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=00:16:3e:08:aa:67,bus=pci.0,addr=0x4 -net tap,fd=47,vlan=0,name=hostnet0 -usb -vnc 0.0.0.0:1 -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 768 -smp 1,sockets=1,cores=1,threads=1 -name jlmxp1 -uuid e3f5edb2-75eb-2c13-b5e6-a2cd35b77bf5 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/jlmxp1.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -no-acpi -boot c -drive file=/home/virtimages/jlmxp1.img,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=00:16:3e:08:aa:67,bus=pci.0,addr=0x4 -net tap,fd=46,vlan=0,name=hostnet0 -usb -vnc 0.0.0.0:0 -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
0+0 records in
0+0 records out
0 bytes (0 B) copied, 1.1035e-05 s, 0.0 kB/s
24+6768 records in
24+6768 records out
327309778 bytes (327 MB) copied, 21.1944 s, 15.4 MB/s
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 768 -smp 1,sockets=1,cores=1,threads=1 -name jlmxp1 -uuid e3f5edb2-75eb-2c13-b5e6-a2cd35b77bf5 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/jlmxp1.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -no-acpi -boot c -drive file=/home/virtimages/jlmxp1.img,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=00:16:3e:08:aa:67,bus=pci.0,addr=0x4 -net tap,fd=47,vlan=0,name=hostnet0 -usb -vnc 0.0.0.0:0 -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x5 -incoming exec:cat -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 768 -smp 1,sockets=1,cores=1,threads=1 -name jlmxp1 -uuid e3f5edb2-75eb-2c13-b5e6-a2cd35b77bf5 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/jlmxp1.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -no-acpi -boot c -drive file=/home/virtimages/jlmxp1.img,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=00:16:3e:08:aa:67,bus=pci.0,addr=0x4 -net tap,fd=48,vlan=0,name=hostnet0 -usb -vnc 0.0.0.0:0 -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
Comment 1 Bug Zapper 2011-06-01 06:26:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 13:49:23 EDT
Hmm, can you reproduce with f14/f15/rawhide? If so please reopen. Until then, closing